Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.lyo.server.oauth.core.consumer
Enum LyoOAuthConsumer.OAuthVersion

    java.lang.Object
      java.lang.Enum<LyoOAuthConsumer.OAuthVersion>
          org.eclipse.lyo.server.oauth.core.consumer.LyoOAuthConsumer.OAuthVersion

All Implemented Interfaces:
  Serializable, Comparable<LyoOAuthConsumer.OAuthVersion>

Enclosing class:
  LyoOAuthConsumer

    public static enum LyoOAuthConsumer.OAuthVersion

extends Enum<LyoOAuthConsumer.OAuthVersion>

Enum Constant Summary
`OAUTH_1_0`
`OAUTH_1_0A`

Method Summary
`static LyoOAuthConsumer.OAuthVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LyoOAuthConsumer.OAuthVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OAUTH_1_0

    public static final LyoOAuthConsumer.OAuthVersion OAUTH_1_0

### OAUTH_1_0A

    public static final LyoOAuthConsumer.OAuthVersion OAUTH_1_0A

Method Detail

### values

    public static LyoOAuthConsumer.OAuthVersion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LyoOAuthConsumer.OAuthVersion c : LyoOAuthConsumer.OAuthVersion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LyoOAuthConsumer.OAuthVersion valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.